* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: 'Noto Sans JP', sans-serif;
  line-height: 1.8;
  color: #222;
}

a {
  text-decoration: none
}

:root {
  --main: #021E59;
  --accent: #FCE521;
}

.container {
  max-width: 1100px;
  margin: 0 auto;
  padding: 0 20px;
}

/* HEADER */
.header {
  background: #fff
}

.header .container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 20px;
  gap: 20px
}

.header .logo img {
  height: 40px;
  display: block;
}

.header .logo img:hover {
  opacity: 0.8
}

.nav {
  width: 100%
}

.nav ul {
  display: flex;
  gap: 20px;
  list-style: none;
  justify-content: end
}

.nav ul li a {
  color: var(--main);
  position: relative;
  font-weight: 700;
}

.nav ul li a::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -5px;
  width: 100%;
  height: 3px;
  background: var(--accent);

  transform: scaleX(0);
  transform-origin: left;
  transition: transform 0.3s ease;
}

/* hoverで伸びる */
.nav ul li a:hover::after,
.nav ul li.current a::after {
  transform: scaleX(1);
}

button.cta {
  background: var(--accent);
  border: none;
  padding: 10px 20px;
  font-weight: bold;
  cursor: pointer;
  transition: 0.3s;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--main);
}

button.cta .arrow {
  display: inline-block;
  width: 8px;
  height: 8px;
  border-top: 2px solid var(--main);
  border-right: 2px solid var(--main);
  transform: rotate(45deg);
  margin-left: 8px;
  transition: 0.3s;
}

button.cta:hover {
  color: var(--accent);
  background: var(--main);
  border: 1px solid var(--accent);
}

button.cta:hover .arrow {
  border-color: var(--accent)
}

button.outline {
  background: #fff;
  border: none;
  padding: 10px 20px;
  font-weight: bold;
  cursor: pointer;
  transition: 0.3s;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--main);
  border: 1px solid var(--main);
  border-radius: 5px
}

button.outline .arrow {
  display: inline-block;
  width: 8px;
  height: 8px;
  border-top: 2px solid var(--main);
  border-right: 2px solid var(--main);
  transform: rotate(45deg);
  margin-left: 8px;
  transition: 0.3s;
}

button.outline:hover {
  color: #fff;
  background: var(--main);
  border: 1px solid var(--accent);
}

button.outline:hover .arrow {
  border-color: #fff
}

.header button.cta {
  min-width: 120px;
  width: 130px;
  height: 35px;
  border-radius: 20px
}

.hero button.cta {
  width: 190px;
  height: 40px;
  border-radius: 5px
}

button.cta.big {
  font-size: 18px;
  padding: 16px 40px;
  width: 400px;
  max-width: 80%;
  margin: 0 auto;
  border-radius: 5px;
  border: 1px solid var(--accent);
}

.hamburger {
  display: none;
}

/* HERO */
.hero {
  position: relative;
  /* background: url("https://images.unsplash.com/photo-1519861531473-9200262188bf") center/cover; */
  background: url("/assets/images/IMG_8565.JPG") top/cover;
  color: #fff;
  padding: 140px 0;
}

.hero::before {
  content: "";
  position: absolute;
  inset: 0;
  background: linear-gradient(
    90deg,
    rgba(11,42,91,0.9),
    rgba(11,42,91,0.5),
    rgba(11,42,91,0.1)
  );
}

.hero-content {
  position: relative;
  z-index: 1;
}

.hero h1 {
  font-size: 56px;
  line-height: 1.2;
}

.accent {
  color: var(--accent);
  font-size: 64px;
}

.hero p {
  margin: 20px 0;
}

/* FEATURES */
.features {
  background: #f8f9fb;
  padding: 80px 0;
}

.features-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 10px;
}

.feature {
  text-align: center;
  transition: 0.3s;
  border-right: 2px solid #E8E8E8;
  padding: 10px 0
}

.feature:hover {
  transform: translateY(-6px);
}

.feature img {
  height: 100px
}

.feature h3 {
  color: var(--main);
  margin: 10px 0
}

.feature:last-child {
  border-right: none
}

/* ABOUT */
.section-caption {
  color: var(--accent);
  font-size: 14px;
  font-weight: 700
}

h2 {
  font-size: 40px;
  color: var(--main);
  font-weight: 700
}

.about {
  padding: 80px 0;
  position: relative
}

.about-inner {
  display: flex;
  gap: 40px;
  align-items: start;
}

.about-text {
  flex: 1;
}

.about h2,
.about p {
  margin-bottom: 20px
}

.about h2::after {
  content: "";
  display: block;
  width: 40px;
  height: 4px;
  background: var(--accent);
  margin-top: 8px;
}

/* 親：黄色レイヤー担当 */
.about-image {
  flex: 1;
  height: 400px;
  position: relative;
}

/* クリップ担当 */
.image-clip {
  width: 100%;
  height: 100%;
  clip-path: polygon(10% 0, 100% 0, 90% 100%, 0% 100%);
  position: relative;
  z-index: 1;
}

/* 画像 */
.image-clip img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

/* 黄色 */
.about-image::after {
  content: "";
  position: absolute;
  inset: 0;
  background: var(--accent);

  /* 同じ形にする */
  clip-path: polygon(10% 0, 100% 0, 90% 100%, 0% 100%);

  /* 少しズラすのがポイント */
  transform: translate(18px, 18px);

  z-index: 0;
}

/* RECRUIT */
.recruit {
  background: var(--main);
  color: #fff;
  text-align: center;
  padding: 25px 0 50px;
}

.recruit h2 {
  color: #fff;
}

.recruit h2::after {
  content: "";
  display: block;
  width: 40px;
  height: 4px;
  background: var(--accent);
  margin: 8px auto;
}

.recruit-grid {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  margin: 40px 0;
}

.recruit-grid > div {
  border-right: 1px solid rgba(255,255,255,0.2);
  padding: 20px 0
}

.recruit-grid > div:last-child {
  border-right: none
}

.recruit-grid > div img {
  height: 80px
}

section.imageroll {
  background: var(--main);
  display: flex;
  overflow-x: scroll;
  gap: 5px
}

section.imageroll img {
  width: 200px;
  height: 200px;
  object-fit: cover;
}

footer {
  background: var(--accent);
  color: var(--main);
  font-size: 14px;
  text-align: center;
  padding: 15px 0;
  font-weight: 700
}

/* RESPONSIVE */
@media (max-width: 768px) {
  .header .logo {
    margin-right: auto;
  }
  .header button.cta {
    display: none
  }

  .nav {
    display: none;
    position: absolute;
    top: 60px;
    right: 0;
    background: var(--main);
    width: 200px;
  }

  .nav.active {
    display: block;
    z-index: 1;
    background: rgba(255,255,255,.8);
  }

  .nav ul {
    flex-direction: column;
    padding: 20px;
  }

  .hamburger {
    display: block;
  }

  .features {
    padding: 40px 0
  }

  .features-grid {
    grid-template-columns: 1fr;
  }

  .feature {
    border-right: none;
    display: flex;
    text-align: initial;
    gap: 20px;
    line-height: 1.3;
    align-items: center;
  }

  .feature img {
    width: auto;
    height: 60px
  }

  .feature > div:first-child {
    width: 65px
  }

  .feature > div h3 {
    margin: 0 0 5px;
  }

  .about-inner {
    flex-direction: column;
  }

  .recruit-grid {
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
  }

  .recruit-grid > div:last-child {
    border-right: 1px solid rgba(255,255,255,0.2);
  }

  .recruit-grid > div:nth-child(even) {
    border-right: none
  }

  .recruit-grid > div img {
    height: 60px
  }

  .hero h1 {
    font-size: 32px;
  }
}
